"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _styles = require("@solui/styles");

var _Icon = _interopRequireDefault(require("./Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Container = _styled.default.div`
  font-size: 1rem;
`;
const Div = _styled.default.div`
  ${(0, _styles.flex)({
  direction: 'row',
  justify: 'flex-start'
})};
  background-color: ${({
  theme
}) => theme.alertBgColor};
  color: ${({
  theme
}) => theme.alertTextColor};
  padding: 0.6em;
  border-radius: 5px;
`;
const StyledIcon = (0, _styled.default)(_Icon.default)`
  color: ${({
  theme
}) => theme.alertIconColor};
  margin-right: 0.6em;
  font-size: 150%;
`;
const Details = _styled.default.div`
  ${({
  theme
}) => theme.font('header')};
  width: 90%;
  word-break: break-all;
  line-height: 1.2em;
`;
const Msg = _styled.default.p`
  font-size: 100%;
`;

var _default = ({
  className,
  msg
}) => {
  return _react.default.createElement(Container, {
    className: className
  }, _react.default.createElement(Div, null, _react.default.createElement(StyledIcon, {
    name: "info"
  }), _react.default.createElement(Details, null, _react.default.createElement(Msg, null, msg))));
};

exports.default = _default;