"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _styles = require("@solui/styles");

var _LoadingIcon = _interopRequireDefault(require("./LoadingIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const StyledButton = _styled.default.button`
  ${(0, _styles.smoothTransitions)()};
  ${({
  theme
}) => theme.font('body', 'bold')};
  cursor: pointer;
  border: 1px solid ${({
  theme,
  disabled
}) => disabled ? theme.buttonDisabledBorderColor : theme.buttonBorderColor};
  background-color: ${({
  theme,
  disabled
}) => disabled ? theme.buttonDisabledBgColor : theme.buttonBgColor};
  color: ${({
  theme,
  disabled
}) => disabled ? theme.buttonDisabledTextColor : theme.buttonTextColor};
  padding: 1em 2em;
  font-size: 1rem;
  outline: none;
  ${({
  disabled,
  theme
}) => disabled ? '' : `
    &:hover {
      border-color: ${theme.buttonHoverBorderColor};
      background-color: ${theme.buttonHoverBgColor};
      color: ${theme.buttonHoverTextColor};
      ${(0, _styles.boxShadow)({
  color: theme.buttonShadowColor
})};
    }
  `}
`;
const StyledLoadingIcon = (0, _styled.default)(_LoadingIcon.default)`
  color: ${({
  theme
}) => theme.buttonTextColor};
`;

var _default = (_ref) => {
  let {
    loading,
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, ["loading", "children"]);

  return _react.default.createElement(StyledButton, props, loading ? _react.default.createElement(StyledLoadingIcon, null) : children);
};

exports.default = _default;