"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("@emotion/core");

var _emotionTheming = require("emotion-theming");

var _styles = require("@solui/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = () => {
  const theme = (0, _emotionTheming.useTheme)();
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_core.Global, {
    styles: _styles.resetStyles
  }), _react.default.createElement(_core.Global, {
    styles: _core.css`
        * {
          box-sizing: border-box;
        }

        html {
          ${theme.font('body')};
          font-size: 14px;
        }

        a {
          cursor: pointer;
          text-decoration: none;
          border-bottom: 1px solid transparent;
          transition: all 0.3s;
        }

        h1, h2, h3 {
          ${theme.font('header')};
          margin: 1em 0;
          font-weight: bolder;
          line-height: 1em;
        }

        h1 {
          font-size: 2.1rem;
          margin: 1rem 0 0;
        }

        h2 {
          font-size: 1.5rem;
        }

        h3 {
          font-size: 1.2rem;
        }
      `
  }));
};

exports.default = _default;