"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _styles = require("@solui/styles");

var _TextInput = _interopRequireDefault(require("./TextInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Container = _styled.default.header`
  background-color: ${({
  theme
}) => theme.headerBgColor};
  color: ${({
  theme
}) => theme.headerTextColor};
  ${(0, _styles.flex)({
  direction: 'row',
  justify: 'space-between',
  align: 'center'
})};
  padding: 0 1rem;
`;
const Brand = _styled.default.div`
  margin-right: 1rem;
`;
const Search = _styled.default.div`
  flex: 1;
`;
const SearchInput = (0, _styled.default)(_TextInput.default)`
`;

var _default = (0, _react.forwardRef)(({
  className,
  searchText,
  onSearchTextChange,
  onClickHome
}, ref) => {
  return _react.default.createElement(Container, {
    className: className
  }, _react.default.createElement(Brand, {
    onClick: onClickHome
  }, "solui"), _react.default.createElement(Search, null, _react.default.createElement(SearchInput, {
    ref: ref,
    name: "search",
    value: searchText,
    type: "text",
    placeholder: "Search by keyword or contract address",
    onChange: onSearchTextChange
  })));
});

exports.default = _default;