"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _styles = require("@solui/styles");

var _Icon = _interopRequireDefault(require("./Icon"));

var _Tooltip = _interopRequireDefault(require("./Tooltip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const IconButton = _styled.default.button`
  ${(0, _styles.smoothTransitions)()};
  ${({
  theme
}) => theme.font('body', 'bold')};
  cursor: pointer;
  border: 1px solid ${({
  theme,
  disabled
}) => disabled ? theme.iconButtonDisabledBorderColor : theme.iconButtonBorderColor};
  background-color: ${({
  theme,
  disabled
}) => disabled ? theme.iconButtonDisabledBgColor : theme.iconButtonBgColor};
  color: ${({
  theme,
  disabled
}) => disabled ? theme.iconButtonDisabledTextColor : theme.iconButtonTextColor};
  padding: 0.2em 0.5em;
  border-radius: 5px;
  font-size: 1rem;
  outline: none;
  ${({
  disabled,
  theme
}) => disabled ? '' : `
    &:hover {
      border-color: ${theme.iconButtonHoverBorderColor};
      background-color: ${theme.iconButtonHoverBgColor};
      color: ${theme.iconButtonHoverTextColor};
      ${(0, _styles.boxShadow)({
  color: theme.iconButtonShadowColor
})};
    }
  `}
`;

var _default = (_ref) => {
  let {
    icon,
    tooltip
  } = _ref,
      props = _objectWithoutProperties(_ref, ["icon", "tooltip"]);

  const tooltipRef = (0, _react.useRef)(null);
  const onMouseOver = (0, _react.useCallback)(() => tooltipRef.current.show(), [tooltipRef]);
  const onMouseOut = (0, _react.useCallback)(() => tooltipRef.current.hide(), [tooltipRef]);
  return _react.default.createElement(_Tooltip.default, {
    text: tooltip,
    ref: tooltipRef
  }, ({
    tooltipElement
  }) => _react.default.createElement(IconButton, _extends({}, props, {
    onMouseOver: onMouseOver,
    onMouseOut: onMouseOut
  }), _react.default.createElement(_Icon.default, icon), tooltipElement));
};

exports.default = _default;