"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DEFAULT_RENDER_ERROR", {
  enumerable: true,
  get: function () {
    return _Query.DEFAULT_RENDER_ERROR;
  }
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactApollo = require("react-apollo");

var _Query = require("./Query");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const Mutation = props => {
  const {
    children,
    renderError = _Query.DEFAULT_RENDER_ERROR
  } = props,
        otherProps = _objectWithoutProperties(props, ["children", "renderError"]);

  return _react.default.createElement(_reactApollo.Mutation, otherProps, (mutate, result) => {
    let content = children(mutate, result);
    const {
      error
    } = result;

    if (error) {
      content = _react.default.createElement(_react.default.Fragment, null, content, renderError(result));
    }

    return content;
  });
};

var _default = Mutation;
exports.default = _default;