"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _ErrorBox = _interopRequireDefault(require("./ErrorBox"));

var _Value = _interopRequireDefault(require("./Value"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Results = _styled.default.ul`
  list-style: none;
  display: block;
  padding: 1rem;
  margin-bottom: 0.5rem;
  background-color: ${({
  theme
}) => theme.resultBgColor};
`;
const ResultItem = _styled.default.li`
  margin-bottom: ${({
  moreThanOne
}) => moreThanOne ? '2rem' : '0'};
  &:last-child {
    margin-bottom: 0;
  }
`;
const Title = _styled.default.h3`
  margin: 0 0 1em;
  font-size: 1.2rem;
  font-weight: cold;
`;

var _default = ({
  className,
  result: {
    value,
    error
  }
}) => {
  if (error) {
    return _react.default.createElement(_ErrorBox.default, {
      className: className,
      error: error
    });
  } else {
    const valueKeys = Object.keys(value || {});
    const resultItems = valueKeys.length ? valueKeys.map(k => {
      const {
        type,
        title,
        result: actualValue
      } = value[k];
      return _react.default.createElement(ResultItem, {
        key: k,
        moreThanOne: !!valueKeys.length
      }, _react.default.createElement(Title, null, title), _react.default.createElement(_Value.default, {
        type: type,
        value: actualValue
      }));
    }) : _react.default.createElement(ResultItem, null, "Success!");
    return _react.default.createElement(Results, {
      className: className
    }, resultItems);
  }
};

exports.default = _default;