"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Input = _styled.default.input`
  ${({
  theme
}) => theme.font('header')};
  display: block;
  width: 100%;
  border: 1px solid ${({
  theme,
  hasError
}) => hasError ? theme.inputErrorBorderColor : theme.inputBorderColor};
  background-color: ${({
  theme,
  hasError
}) => hasError ? theme.inputErrorBgColor : theme.inputBgColor};
  color: ${({
  theme
}) => theme.inputTextColor};
  padding: 1em;
  font-size: 1rem;
  outline: none;

  &:focus {
    border-color: ${({
  theme
}) => theme.inputFocusBorderColor};
    background-color: ${({
  theme
}) => theme.inputFocusBgColor};
  }

  &::placeholder {
    ${({
  theme
}) => theme.font('header', 'regular', 'italic')};
    color: ${({
  theme
}) => theme.inputPlaceholderTextColor};
  }
 `;

const getPlaceholder = ({
  type
}) => {
  switch (type) {
    case 'email':
      return 'Email address';

    default:
      return type;
  }
};

const getInputType = ({
  type
}) => {
  return type;
};

var _default = (0, _react.forwardRef)(({
  className,
  name,
  onChange,
  value,
  error,
  type,
  placeholder
}, ref) => {
  const inputType = (0, _react.useMemo)(() => getInputType({
    type
  }), [type]);
  const placeholderStr = (0, _react.useMemo)(() => placeholder || getPlaceholder({
    type
  }), [type, placeholder]);
  const onTextChange = (0, _react.useCallback)(e => onChange(e.currentTarget.value), [onChange]);
  return _react.default.createElement(Input, {
    ref: ref,
    className: className,
    type: inputType,
    name: name,
    onChange: onTextChange,
    value: value,
    placeholder: placeholderStr,
    hasError: !!error
  });
});

exports.default = _default;