"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactDom = require("react-dom");

var _react = _interopRequireWildcard(require("react"));

var _uuid = _interopRequireDefault(require("uuid"));

var _reactTooltip = _interopRequireDefault(require("react-tooltip"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const DefaultTooltip = (0, _styled.default)(_reactTooltip.default)`
  z-index: 1;
  max-width: 80%;
`;

class Tooltip extends _react.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {});

    _defineProperty(this, "_onRef", e => {
      this.elem = e;
    });

    _defineProperty(this, "show", () => {
      this.setState({
        show: true
      });
    });

    _defineProperty(this, "hide", () => {
      this.setState({
        show: false
      });
    });
  }

  componentDidMount() {
    this.id = (0, _uuid.default)();
    this.componentDidUpdate();
  }

  componentDidUpdate() {
    if (!this.elem) {
      return;
    }

    if (this.state.show) {
      _reactTooltip.default.show((0, _reactDom.findDOMNode)(this.elem));
    } else {
      _reactTooltip.default.hide((0, _reactDom.findDOMNode)(this.elem));
    }
  }

  render() {
    const {
      text,
      position,
      children
    } = this.props;
    return _react.default.createElement(_react.default.Fragment, null, children({
      showTooltip: this.show,
      hideTooltip: this.hide,
      tooltipElement: _react.default.createElement("span", {
        "data-tip": text,
        "data-for": this.id,
        ref: this._onRef
      })
    }), _react.default.createElement(DefaultTooltip, {
      id: this.id,
      event: "dbclick",
      place: position || 'top',
      effect: "solid",
      type: "dark"
    }));
  }

}

exports.default = Tooltip;