"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styled = _interopRequireDefault(require("@emotion/styled"));

var _reactTooltip = _interopRequireDefault(require("react-tooltip"));

var clipboard = _interopRequireWildcard(require("clipboard-polyfill"));

var _utils = require("./utils");

var _IconButton = _interopRequireDefault(require("./IconButton"));

var _contexts = require("./contexts");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; if (obj != null) { var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Span = _styled.default.span``;
const StyledIconButton = (0, _styled.default)(_IconButton.default)`
  margin-left: 0.5rem;
`;
const COPY_TO_CLIPBOARD = 'Copy to clipboard';

var _default = ({
  value,
  type
}) => {
  const [copyButtonTooltip, setCopyButtonTooltip] = (0, _react.useState)(COPY_TO_CLIPBOARD);
  const copyToClipboard = (0, _react.useCallback)(() => {
    clipboard.writeText(value);
    setCopyButtonTooltip('Copied!');
    setTimeout(() => setCopyButtonTooltip(COPY_TO_CLIPBOARD), 5000);
  }, [value]);

  const meta = _react.default.createElement(StyledIconButton, {
    tooltip: copyButtonTooltip,
    icon: {
      name: 'copy'
    },
    onClick: copyToClipboard
  });

  let content;

  switch (type) {
    case 'address':
      content = _react.default.createElement(_contexts.NetworkContext.Consumer, null, ({
        network
      }) => {
        const etherscanLink = network ? network.getEtherscanLink(value) : null;
        const link = etherscanLink ? _react.default.createElement(StyledIconButton, {
          tooltip: "View on Etherscan",
          icon: {
            name: 'link'
          },
          onClick: () => (0, _utils.openUrl)(etherscanLink)
        }) : null;
        return _react.default.createElement(_react.default.Fragment, null, meta, link);
      });
      break;

    default:
      content = meta;
  }

  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_reactTooltip.default, null), _react.default.createElement(Span, null, _react.default.createElement(Span, null, value), content));
};

exports.default = _default;